org.apache.lucene.search.similarities

## Class BasicModelIn

- java.lang.Object
- - org.apache.lucene.search.similarities.BasicModel
  - - org.apache.lucene.search.similarities.BasicModelIn

    public class BasicModelIn
    extends BasicModel

The basic tf-idf model of randomness.

WARNING: This API is experimental and might change in incompatible ways in the next release.

### Constructor Summary

Constructors
Constructor and Description
`BasicModelIn()` Sole constructor: parameter-free

### Method Summary

Methods
`Explanation` `explain(BasicStats stats, float tfn)` Returns an explanation for the score.
`float` `score(BasicStats stats, float tfn)` Returns the informative content score.
`String` `toString()` Subclasses must override this method to return the code of the basic model formula.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BasicModelIn

    public BasicModelIn()

Sole constructor: parameter-free

### Method Detail

#### score

    public final float score(BasicStats stats,
              float tfn)

Description copied from class: `BasicModel`
Returns the informative content score.

Specified by:
  `score` in class `BasicModel`

#### explain

    public final Explanation explain(BasicStats stats,
                      float tfn)

Description copied from class: `BasicModel`
Returns an explanation for the score.

Most basic models use the number of documents and the total term frequency to compute Inf1. This method provides a generic explanation for such models. Subclasses that use other statistics must override this method.

Overrides:
  `explain` in class `BasicModel`

#### toString

    public String toString()

Description copied from class: `BasicModel`
Subclasses must override this method to return the code of the basic model formula. Refer to the original paper for the list.

Specified by:
  `toString` in class `BasicModel`